---
search:
  tags:
    - Promotions
    - GET
seo:
  description: >-
    Returns a single promotion by ID. Reference for the GET /promotions/{id}
    endpoint in the Bolder API v2.
sidebar:
  label: Get a promotion
  badge: GET
title: Get a promotion
type: openapi-operation
---
Returns a single promotion by ID.

`GET /promotions/{id}`

**Responses**

- `200` — Promotion details
- `404` — Promotion not found

Response example, 200:

```json
{
  "id": 20,
  "name": "Summer Sale",
  "code": "SUMMER20",
  "discount_type": "percentage",
  "discount": 20,
  "status": "active",
  "starts_at": "2024-06-01T00:00:00Z",
  "expires_at": "2024-08-31T23:59:59Z",
  "usage_count": 0,
  "_links": {
    "self": {
      "href": "https://api.onbolder.com/v2/promotions/20"
    }
  }
}
```
